#include <iostream>
#include <climits>
using namespace std;

int main()
{
    int N;
    cout<<"Add meg a tombok hosszat"<<endl;
    cin>>N;

    int A[N], B[N];

    for (int i=0; i < N; i++)
        cin>> A[i];
    for (int i=0; i < N; i++)
        cin>> B[i];

    int max_value=0;

    for (int L=0; L < N; L++)
        for (int R=L; R < N; R++)
    int xor_value=0;
    int AND_value=INT_MAX;
int L,R;
    for (int i=L; i <= R; i++)
        int xor_value;
        int i;
int xor_value^=A[i];
 AND_value&=B[i];

    int value = xor_value * AND_value;
    max_value = max(max_value, value);

    cout<<max_value<<endl;

    return 0;
}